Package org.apache.commons.fileupload2.core

# Class DiskFileItem.Builder

java.lang.Object
org.apache.commons.io.build.AbstractSupplier<DiskFileItem,DiskFileItem.Builder>
org.apache.commons.io.build.AbstractOriginSupplier<DiskFileItem,DiskFileItem.Builder>
org.apache.commons.io.build.AbstractStreamBuilder<DiskFileItem,DiskFileItem.Builder>
org.apache.commons.fileupload2.core.FileItemFactory.AbstractFileItemBuilder<DiskFileItem,DiskFileItem.Builder>
org.apache.commons.fileupload2.core.DiskFileItem.Builder

All Implemented Interfaces:
  `org.apache.commons.io.function.IOSupplier<DiskFileItem>`

Enclosing class:
  `DiskFileItem`

public static class DiskFileItem.Builder extends FileItemFactory.AbstractFileItemBuilder<DiskFileItem,DiskFileItem.Builder>
Builds a new `DiskFileItem` instance.

For example:

     final FileItem fileItem = fileItemFactory.fileItemBuilder()
       .setFieldName("FieldName")
       .setContentType("ContentType")
       .setFormField(true)
       .setFileName("FileName")
       .setFileItemHeaders(...)
       .get();

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DiskFileItem`
  `get()`
  Constructs a new instance.

  ### Methods inherited from class org.apache.commons.fileupload2.core.FileItemFactory.AbstractFileItemBuilder

  `getContentType, getFieldName, getFileCleaningTracker, getFileItemHeaders, getFileName, isFormField, newFileItemHeaders, setContentType, setFieldName, setFileCleaningTracker, setFileItemHeaders, setFileName, setFormField`

  ### Methods inherited from class org.apache.commons.io.build.AbstractStreamBuilder

  `getBufferSize, getBufferSizeDefault, getCharSequence, getCharset, getCharsetDefault, getInputStream, getOpenOptions, getOutputStream, getPath, getWriter, setBufferSize, setBufferSize, setBufferSizeChecker, setBufferSizeDefault, setBufferSizeMax, setCharset, setCharset, setCharsetDefault, setOpenOptions`

  ### Methods inherited from class org.apache.commons.io.build.AbstractOriginSupplier

  `checkOrigin, getOrigin, hasOrigin, newByteArrayOrigin, newCharSequenceOrigin, newFileOrigin, newFileOrigin, newInputStreamOrigin, newOutputStreamOrigin, newPathOrigin, newPathOrigin, newReaderOrigin, newURIOrigin, newWriterOrigin, setByteArray, setCharSequence, setFile, setFile, setInputStream, setOrigin, setOutputStream, setPath, setPath, setReader, setURI, setWriter`

  ### Methods inherited from class org.apache.commons.io.build.AbstractSupplier

  `asThis`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.commons.io.function.IOSupplier

  `asSupplier`

- ## Constructor Details

  - ### Builder

    public Builder()

- ## Method Details

  - ### get

    public DiskFileItem get()
    Constructs a new instance.

    You must provide an origin that can be converted to a Reader by this builder, otherwise, this call will throw an `UnsupportedOperationException`.

    Returns:
      a new instance.
    Throws:
      `UnsupportedOperationException` - if the origin cannot provide a Path.
    See Also:
      - `AbstractOrigin.getReader(Charset)`